.flex-container {
  display: flex;
  align-items: center; 
  justify-content: space-between;
  gap: 50px; 
  padding-left: 140px;
  max-width: 100%

}
.text-button {
  background: none;
  border: none;
  padding: 0;
  font: inherit; 
  color: #00cc00;
  cursor: pointer; 
  text-decoration: underline; 
}

summary {
 padding-right:140px 
}

#archive {
  height: 450px;
  padding-right: 140px;
  display: block;
  word-wrap: break-word; 
  overflow-wrap: break-word;
  max-width: 45vw;
  
  
}

#garchimg1,#garchimg2, #archidations-date, #archidations-one, #archidations-two, #archidations-three {
  padding-right:140px; 
  max-width: 45ch;
  display: inline-block;
  text-align: right;
}

.text-content {
  text-align: left;
  background: black;
  border: 4px;
  }

body {
  font-family: "Courier New";
  font-size: 22px; 
  background: black;
  color: #00cc00;
  
}

img {
  text-align: right;
  image-rendering:optimizeSpeed; 
  image-rendering: pixelated; 
  image-rendering: crisp-edges;
}

details, summary {
  text-align: right;
  bottom: 50px;
  max-width: 100%;
}

@media screen and (max-width: 900px) {
  .flex-container {
    display: block; 
    padding-left:0;
  }
  
  #archive {
  height: auto;
  width: 390px;
  padding-right: 0;
  max-width: 100vw;
  }
  summary {
  padding-right:0;
  }
  #archidations-date, #archidations-one, #archidations-two, #archidations-three {
  padding-right:0; 
}

}